al_get_monitor_info(3)

NAME

al_get_monitor_info - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_get_monitor_info(int adapter, ALLEGRO_MONITOR_INFO *info)

DESCRIPTION

Get information about a monitor's position on the desktop. adapter is a number from 0 to al_get_num_video_adapters()-1.

On Windows, use al_set_new_display_flags(3) to switch between Direct3D and OpenGL backends, which will often have different adapters available.

Returns true on success, false on failure.

SEE ALSO

ALLEGRO_MONITOR_INFO(3), al_get_num_video_adapters(3)